package net.wanji.utc.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/16 16:09
 */
@Data
public class CrossSchemePO {
    /** 方案ID */
    @ApiModelProperty(value = "方案ID",notes = "")
    private Integer id ;
    /** 方案号 */
    @ApiModelProperty(value = "方案号",notes = "")
    private String schemeNo;
    /** 方案名称 */
    @ApiModelProperty(value = "方案名称",notes = "")
    private String name ;
    /** 路口ID */
    @ApiModelProperty(value = "路口ID",notes = "")
    private String crossId ;
    /** 周期 */
    @ApiModelProperty(value = "周期",notes = "")
    private Integer cycle ;
    /** 协调相位ID */
    @ApiModelProperty(value = "协调相位ID",notes = "")
    private Integer coordPhase ;
    /** 相位差 */
    @ApiModelProperty(value = "相位差",notes = "")
    private Integer offset ;
    /** 数据来源：1信号机；2平台 */
    @ApiModelProperty(value = "数据来源：1信号机；2平台",notes = "")
    private Integer source ;
    /** 删除标识：1删除；0未删除 */
    @ApiModelProperty(value = "删除标识：1删除；0未删除",notes = "")
    private Integer isDeleted ;
    /** 创建时间 */
    @ApiModelProperty(value = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(value = "修改时间",notes = "")
    private Date gmtModified ;
}
